org.springframework.ldap.odm.core.impl

## Class OdmManagerImplFactoryBean

- java.lang.Object
- - org.springframework.ldap.odm.core.impl.OdmManagerImplFactoryBean

- All Implemented Interfaces:
    FactoryBean

  Deprecated.
  This functionality is automatically available in LdapTemplate as of version 2.0

      public final class OdmManagerImplFactoryBean
      extends Object
      implements FactoryBean

  A Spring Factory bean which creates `OdmManagerImpl` instances.

  Typical configuration would appear as follows:

         <bean id="odmManager" class="org.springframework.ldap.odm.core.impl.OdmManagerImplFactoryBean">
             <property name="converterManager" ref="converterManager" />
             <property name="contextSource" ref="contextSource" />
             <property name="managedClasses">
                 <set>
                     <value>org.myorg.myldapentries.Person</value>
                     <value>org.myorg.myldapentries.OrganizationalUnit</value>
                 </set>
             </property>
         </bean>

  Author:
    Paul Harvey <paul.at.pauls-place.me.uk>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdmManagerImplFactoryBean()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObject()` Deprecated.
    `Class<?>` | `getObjectType()` Deprecated.
    `boolean` | `isSingleton()` Deprecated.
    `void` | `setContextSource(ContextSource contextSource)` Deprecated. Set the ContextSource to use to interact with the LDAP directory.
    `void` | `setConverterManager(ConverterManager converterManager)` Deprecated. Set the ConverterManager to use to convert between LDAP and Java representations of attributes.
    `void` | `setLdapOperations(LdapOperations ldapOperations)` Deprecated. Set the LdapOperations instance to use to interact with the LDAP directory.
    `void` | `setManagedClasses(Set<Class<?>> managedClasses)` Deprecated. Set the list of `org.springframework.ldap.odm.annotations` annotated classes the OdmManager will process.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdmManagerImplFactoryBean

          public OdmManagerImplFactoryBean()

      Deprecated.

  - ### Method Detail

    - #### setLdapOperations

          public void setLdapOperations(LdapOperations ldapOperations)

      Deprecated.
      Set the LdapOperations instance to use to interact with the LDAP directory.
      Parameters:
        `ldapOperations` - the LdapOperations instance to use.

    - #### setContextSource

          public void setContextSource(ContextSource contextSource)

      Deprecated.
      Set the ContextSource to use to interact with the LDAP directory.
      Parameters:
        `contextSource` - The ContextSource to use.

    - #### setManagedClasses

          public void setManagedClasses(Set<Class<?>> managedClasses)

      Deprecated.
      Set the list of `org.springframework.ldap.odm.annotations` annotated classes the OdmManager will process.
      Parameters:
        `managedClasses` - The list of classes to manage.

    - #### setConverterManager

          public void setConverterManager(ConverterManager converterManager)

      Deprecated.
      Set the ConverterManager to use to convert between LDAP and Java representations of attributes.
      Parameters:
        `converterManager` - The ConverterManager to use.

    - #### getObject

          public Object getObject()
                           throws Exception

      Deprecated.
      Specified by:
        `getObject` in interface `FactoryBean`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Deprecated.
      Specified by:
        `getObjectType` in interface `FactoryBean`

    - #### isSingleton

          public boolean isSingleton()

      Deprecated.
      Specified by:
        `isSingleton` in interface `FactoryBean`